<ejs-dialog id="inactiveConfirmDialog" #inactiveConfirmDialog [visible]='false' [animationSettings]='animationSettings'
    width='400px' isModal="true">
    <ng-template #content>
        <p> {{(!rowData?.is_active ? i18Labels?.Mark_active_dialog : i18Labels?.Mark_inactive_dialog) | formatString: { firstname: rowData?.firstname, lastname: rowData?.lastname } }}
        </p>
    </ng-template>
    <div class="form-group container">
        <div class="submitBtn">
            <button class="submit-btn e-btn ml-1 mr-1" id="submit-btn" type="reset" (click)="inactive_user()"> YES
            </button>
            <button class="submit-btn e-btn ml-1 mr-1" id="submit-btn" type="reset" (click)="dont_inactive_user()"> NO
            </button>
        </div>
    </div>
</ejs-dialog>

<div>

    <div class="control-section">
        <div style="min-height:671px;">

            <!-- Render Button to open the modal Dialog -->
            <!-- Render modal Dialog -->

            <ejs-dialog id="modalDialog" isModal="true" #modalDialog width='450px'
                [animationSettings]='animationSettings' (open)="modalDlgOpen()" (close)="modalDlgClose()"
                [visible]='false' showCloseIcon='true' target='.control-section'>
                <ng-template #content>
                    <form id="template_driven" #userForm="ngForm" novalidate>
                        <div class="form-group my-3">
                            <div class="e-float-input">
                                <input type="email" id="emailId" #emailIdval='ngModel' name="emailId"
                                    pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$" required [(ngModel)]="emailId"
                                    email>
                                <span class="e-float-line"></span>
                                <label class="e-float-text e-label-top" for="emailId">{{i18Labels?.Email}} <span
                                        class="required">*</span></label>
                                <div *ngIf="(emailIdval.invalid && (emailIdval.dirty || emailIdval.touched))">
                                    <div class="e-error" *ngIf="emailIdval.errors.required">
                                        * {{i18Labels?.required_id}}.
                                    </div>
                                    <div class="e-error"
                                        *ngIf="(emailIdval.errors.email || emailIdval.errors?.pattern)">
                                        * {{i18Labels?.valid_address}}.
                                    </div>

                                </div>
                            </div>
                        </div>

                        <div class="form-group my-3">
                            <div class="e-float-input">
                                <input type="text" id="user_name" #usernameval='ngModel' name="user_name"
                                    required [(ngModel)]="username">
                                <span class="e-float-line"></span>
                                <label class="e-float-text e-label-top" for="user_name">{{i18Labels?.Username}} <span
                                        class="required">*</span></label>
                                <div *ngIf="(usernameval.invalid && (usernameval.dirty || usernameval.touched))">
                                    <div class="e-error" *ngIf="usernameval.errors.required">
                                        * {{i18Labels?.Username_required}}.
                                    </div>

                                </div>
                            </div>
                        </div>

                        <div class="form-group my-3">
                            <div class="e-float-input">

                                <input type="text" id="firstname" #firstnamevar='ngModel' pattern="[a-zA-Z]+"
                                    name="firstname" required [(ngModel)]="firstname">

                                <span class="e-float-line"></span>
                                <label class="e-float-text e-label-top" for="firstname"> {{i18Labels?.first_name}}
                                    <span class="required">*</span></label>
                                <div *ngIf="(firstnamevar.invalid && (firstnamevar.dirty || firstnamevar.touched))">
                                    <div class="e-error" *ngIf="firstnamevar.errors.required">
                                        * {{i18Labels?.First_required}}
                                    </div>
                                    <div class="e-error" *ngIf="(firstnamevar.errors?.pattern)">
                                        * Please input alphabet characters only
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group my-3">
                            <div class="e-float-input">
                                <input type="text" id="lastname" #lastnamevar='ngModel' pattern="[a-zA-Z]+"
                                    name="lastname" required [(ngModel)]="lastname">
                                <span class="e-float-line"></span>
                                <label class="e-float-text e-label-top" for="lastname"> {{i18Labels?.last_name}} <span
                                        class="required">*</span></label>
                                <div *ngIf="(lastnamevar.invalid && (lastnamevar.dirty || lastnamevar.touched))">
                                    <div class="e-error" *ngIf="lastnamevar.errors.required">
                                        * {{i18Labels?.Last_required}}
                                    </div>
                                    <div class="e-error" *ngIf="(lastnamevar.errors?.pattern)">
                                        * Please input alphabet characters only
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="form-group my-3">
                            <div class="e-float-input">
                                <label class="e-label-top" for="isAdmin">{{i18Labels?.register_admin}} </label>
                                <span class="fa-pull-right">
                                    <ejs-switch id="isAdmin" name="isAdmin" #switch [(ngModel)]="checkedIsAdmin">
                                    </ejs-switch>
                                </span>
                                <div>

                                </div>
                            </div>
                        </div>

                        <div class="row form-group my-3">
                            <div class="cancelBtn offset-md-6 col-md-3">
                                <button class="cancel-btn e-btn" id="cancel-btn" (click)="Closedialog()"
                                    type="cancel">{{i18Labels?.cancel}}</button>
                            </div>
                            <div class="doneBtn col-md-3">
                                <button class="done-btn e-btn" id="done-btn" (click)="Submit()"
                                    [disabled]="userForm.invalid" type="done">{{i18Labels?.Done}}</button>
                            </div>
                        </div>
                    </form>
                </ng-template>
                <ng-template #header>
                    <div class="e-icon-settings dlg-template">{{i18Labels?.create_user}} </div>
                </ng-template>
            </ejs-dialog>


            <div *ngIf="userListCount!='0'">

                <span id="statusTemplate">
                    <!-- <ejs-dropdownlist id='element' [fields]='{text: "text", value: "value" }' [(value)]="this.status"
                        width="120px" (change)=activeUsers() [dataSource]='statusData' placeholder='All users'>
                    </ejs-dropdownlist> -->

                    <button ejs-button id='modalbtn' style="margin-right: 14px; border-radius: 3px;" class="btn btn-primary" (click)="modalBtnClick()" #modalButton>
                        <i class="fa fa-plus" aria-hidden="true"></i>&nbsp;&nbsp;{{i18Labels?.CREATE_USER}}
                    </button>

                </span>

                <ejs-grid #gridelement [dataSource]='list' [allowPaging]="true" [allowSorting]="true"
                    [pageSettings]='pageSettings' [toolbar]='toolbarOptions' [sortSettings]='sortOptions'>
                    <e-columns>
                        <e-column field='firstname' headerText='{{i18Labels?.name}}' width=100>
                            <ng-template #template let-data>
                                <div (click)="showUserDetails(data)">
                                    <div class="e-avatar e-avatar text-uppercase e-avatar-circle mr-2">
                                        {{data?.firstname?.charAt(0)}} {{data?.lastname?.charAt(0)}} </div>
                                    <span class="blue clickcss">{{data?.firstname}} {{data?.lastname}}
                                        <span *ngIf="data.is_admin"
                                            class="badge badge-pill chip">{{i18Labels?.ADMIN}}</span>

                                    </span>
                                </div>
                            </ng-template>
                        </e-column>
                        <e-column field='username' headerText='{{i18Labels?.Username}}' width=60></e-column>
                        <e-column field='email' headerText='{{i18Labels?.Email}}' width=60></e-column>
                        <e-column headerText='{{i18Labels?.GROUP}}' width=100>
                            <ng-template #template let-data>
                                <label *ngFor="let item of data.usergroupdetail" class='blue ml-2 text_ellipsis'
                                    title="{{item.name}}">
                                    {{item.name}}
                                </label>
                            </ng-template>

                        </e-column>

                        <e-column  headerText=' {{i18Labels?.ACTIVE}}' width=60>
                            <ng-template  #template let-data>
                                <!-- <ejs-switch onLabel="ON" offLabel="OFF" [checked]="true"></ejs-switch>    -->
                                
                                <!-- <ejs-switch id="isActive" name="isActive" #switch onLabel="ON" 
                                    cssClass="handle-color"  offLabel="OFF" (change)="markActiveInactive(data)" [(ngModel)]="data.is_active">
                                </ejs-switch> -->
    
                                <div class="switchToggle">
                                    <input type="checkbox" id="{{'switch'+data.user_id}}"  [ngModel]="data.is_active" (change)="inactiveModalShow(data)">
                                    <label class="toggle-bar" for="{{'switch'+data.user_id}}"  ></label>
                                </div>
                                
                            </ng-template>
                        </e-column>

                        <!-- <e-column width= 40>
                            <ng-template #template let-data>
                                <div class="btn-group fa-pull-right">
                                    <button type="button" class="btn btn-outline-secondary btn-sm dropdown-toggle "
                                        data-toggle="dropdown">
                                        <span class="caret"></span>
                                    </button>
                                    <ul class="dropdown-menu" role="menu">

                                        <div><em class="fa fa-users ml-3"></em><button class="btn btn-sm fa"
                                                (click)="attachGroup()">{{i18Labels?.Add_to_Group}}</button></div>

                                        <div><em class="fa fa-pencil ml-3"></em><button class="btn btn-sm fa"
                                                (click)="editDetails()">{{i18Labels?.Edit_Details}}</button></div>

                                        <div> <em class="fa fa-minus-circle ml-3"></em><label  *ngIf="data.is_active"
                                                class="ml-2">{{data.is_active ? i18Labels?.Mark_Inactive: 'Mark active'}}  </label>

                                            &nbsp;&nbsp;<ejs-switch id="isActive" (change)="inactiveModalShow(data)"
                                                name="isActive" #switch [(ngModel)]="data.is_active"></ejs-switch>
                                        </div>
                                    </ul>
                                </div>


                            </ng-template>
                        </e-column> -->
                    </e-columns>
                </ejs-grid>



            </div>
        </div>
    </div>
</div>